Bug 1513175 - Review Request: ghc-natural-transformation - A natural transformation package
Summary: Review Request: ghc-natural-transformation - A natural transformation package
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1514057
TreeView+ depends on / blocked
 
Reported: 2017-11-14 21:41 UTC by David Shea
Modified: 2017-11-28 23:49 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-28 16:22:36 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description David Shea 2017-11-14 21:41:57 UTC
Spec URL: https://raw.githubusercontent.com/weldr/bdcs-copr/master/ghc-natural-transformation/ghc-natural-transformation.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/@weldr/bdcs-haskell-deps/fedora-27-x86_64/00611297-ghc-natural-transformation/ghc-natural-transformation-0.4-1.fc27.src.rpm
Description: A natural transformation transforms a container 'f a' into another container 'g
a'. Natural transformations act as functor morphisms in category theory.

The naming of '~>', ':~>' and '$$' were taken, with permission, from Edward
Kmett's 'indexed' package.
Fedora Account System Username: dshea

Comment 1 Omer Anson 2017-11-15 03:09:29 UTC
Hi,

rpmlint says the following for the srpm:
Error checking signature of ghc-natural-transformation-0.4-1.fc27.src.rpm: ghc-natural-transformation-0.4-1.fc27.src.rpm: digests SIGNATURES NOT OK

rpm -Kv complains about:
    Header V3 RSA/SHA1 Signature, key ID 76551145: NOKEY
    V3 RSA/SHA1 Signature, key ID 76551145: NOKEY

The changelog in the spec file does not match the contents in the package site.

Comment 2 Matthias Runge 2017-11-15 04:57:49 UTC
(In reply to Omer Anson from comment #1)
> Hi,
> 
> rpmlint says the following for the srpm:
> Error checking signature of ghc-natural-transformation-0.4-1.fc27.src.rpm:
> ghc-natural-transformation-0.4-1.fc27.src.rpm: digests SIGNATURES NOT OK
> 
> rpm -Kv complains about:
>     Header V3 RSA/SHA1 Signature, key ID 76551145: NOKEY
>     V3 RSA/SHA1 Signature, key ID 76551145: NOKEY
> 
> The changelog in the spec file does not match the contents in the package
> site.

I can not reproduce the issue, but build on f27 fails 
+ export LDFLAGS
+ '[' -x Setup ']'
+ ghc --make -no-user-package-db -dynamic Setup
/usr/lib64/ghc-8.0.2/package.conf.d/package.cache: openBinaryFile: does not exist (No such file or directory)
RPM build errors:
error: Bad exit status from /var/tmp/rpm-tmp.GFG8gK (%build)
    Bad exit status from /var/tmp/rpm-tmp.GFG8gK (%build)
Child return code was: 1
EXCEPTION: [Error()]

Comment 3 David Shea 2017-11-15 15:16:44 UTC
(In reply to Omer Anson from comment #1)
> Hi,
> 
> rpmlint says the following for the srpm:
> Error checking signature of ghc-natural-transformation-0.4-1.fc27.src.rpm:
> ghc-natural-transformation-0.4-1.fc27.src.rpm: digests SIGNATURES NOT OK
> 
> rpm -Kv complains about:
>     Header V3 RSA/SHA1 Signature, key ID 76551145: NOKEY
>     V3 RSA/SHA1 Signature, key ID 76551145: NOKEY

Packages in COPR are signed with a repo-specific key, so you need to have that imported if you want to check the signatures. The one for this repo is at https://copr-be.cloud.fedoraproject.org/results/@weldr/bdcs-haskell-deps/pubkey.gpg

The packages are, of course, not signed with the Fedora package key. That's part of what this bug is for.


> The changelog in the spec file does not match the contents in the package
> site.

I'm not seeing that.

$ curl -s https://raw.githubusercontent.com/weldr/bdcs-copr/master/ghc-natural-transformation/ghc-natural-transformation.spec | grep -A 3 '^%changelog'
%changelog
* Fri Sep 29 2017 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 0.4-1
- spec file generated by cabal-rpm-0.11.2

$ rpm -q -p --changelog https://copr-be.cloud.fedoraproject.org/results/@weldr/bdcs-haskell-deps/fedora-27-x86_64/00611297-ghc-natural-transformation/ghc-natural-transformation-0.4-1.fc27.src.rpm
* Fri Sep 29 2017 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 0.4-1
- spec file generated by cabal-rpm-0.11.2


(In reply to Matthias Runge from comment #2)
> I can not reproduce the issue, but build on f27 fails 
> + export LDFLAGS
> + '[' -x Setup ']'
> + ghc --make -no-user-package-db -dynamic Setup
> /usr/lib64/ghc-8.0.2/package.conf.d/package.cache: openBinaryFile: does not
> exist (No such file or directory)
> RPM build errors:
> error: Bad exit status from /var/tmp/rpm-tmp.GFG8gK (%build)
>     Bad exit status from /var/tmp/rpm-tmp.GFG8gK (%build)
> Child return code was: 1
> EXCEPTION: [Error()]

How are you building the package? This looks similar to an issue we had with mock --newchroot. Up until very recently (recently enough that I don't think a new version has hit 27 yet), --newchroot ran the buildroot setup without /proc mounted, which is a problem for the ghc-* package scriptlets, causing the ghc package database to not be generated.

Obviously it can be built for F27, as evidenced by the COPR build.

Comment 4 Robert-André Mauchin 🐧 2017-11-15 15:27:32 UTC
No issue, packaqe accepted.


(In reply to Matthias Runge from comment #2)
> 
> I can not reproduce the issue, but build on f27 fails 
> + export LDFLAGS
> + '[' -x Setup ']'
> + ghc --make -no-user-package-db -dynamic Setup
> /usr/lib64/ghc-8.0.2/package.conf.d/package.cache: openBinaryFile: does not
> exist (No such file or directory)
> RPM build errors:
> error: Bad exit status from /var/tmp/rpm-tmp.GFG8gK (%build)
>     Bad exit status from /var/tmp/rpm-tmp.GFG8gK (%build)
> Child return code was: 1
> EXCEPTION: [Error()]

There's a bug in mock which will be fixed in the next release (https://github.com/rpm-software-management/mock/commit/b8b721b76adb7ed7338066e6cb4f6a091b5fc675 / bug #1467299). Meanwhile use --old-chroot to bypass this error.

Comment 5 Gwyn Ciesla 2017-11-15 16:02:33 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/ghc-natural-transformation

Comment 6 Matthias Runge 2017-11-16 09:45:12 UTC
(In reply to David Shea from comment #3)
> (In reply to Matthias Runge from comment #2)
> > I can not reproduce the issue, but build on f27 fails 
> > + export LDFLAGS
> > + '[' -x Setup ']'
> > + ghc --make -no-user-package-db -dynamic Setup
> > /usr/lib64/ghc-8.0.2/package.conf.d/package.cache: openBinaryFile: does not
> > exist (No such file or directory)
> > RPM build errors:
> > error: Bad exit status from /var/tmp/rpm-tmp.GFG8gK (%build)
> >     Bad exit status from /var/tmp/rpm-tmp.GFG8gK (%build)
> > Child return code was: 1
> > EXCEPTION: [Error()]
> 
> How are you building the package? This looks similar to an issue we had with
> mock --newchroot. Up until very recently (recently enough that I don't think
> a new version has hit 27 yet), --newchroot ran the buildroot setup without
> /proc mounted, which is a problem for the ghc-* package scriptlets, causing
> the ghc package database to not be generated.
> 
> Obviously it can be built for F27, as evidenced by the COPR build.

I was using fedora-review -b 1513175, which builds in mock.

Comment 7 Fedora Update System 2017-11-17 18:54:02 UTC
ghc-natural-transformation-0.4-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-994b8f9a8d

Comment 8 Fedora Update System 2017-11-18 01:43:48 UTC
ghc-natural-transformation-0.4-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d7e631e3f2

Comment 9 Fedora Update System 2017-11-28 16:22:36 UTC
ghc-natural-transformation-0.4-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2017-11-28 23:49:27 UTC
ghc-natural-transformation-0.4-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.